<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.system.mapper.MallWithdrawalRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="mallWithdrawalRecordResultMap" type="org.springblade.modules.system.entity.MallWithdrawalRecord">
        <id column="id" property="id"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="is_delete" property="isDelete"/>
        <result column="user_app_id" property="userAppId"/>
        <result column="create_user_name" property="createUserName"/>
        <result column="withdrawal_amount" property="withdrawalAmount"/>
        <result column="charge_amount" property="chargeAmount"/>
        <result column="status" property="status"/>
        <result column="audit_user_id" property="auditUserId"/>
        <result column="audit_time" property="auditTime"/>
        <result column="audit_msg" property="auditMsg"/>
        <result column="audit_user_name" property="auditUserName"/>
        <result column="is_accelerate" property="isAccelerate"/>
    </resultMap>


    <select id="selectMallWithdrawalRecordPage" resultMap="mallWithdrawalRecordResultMap">
        select * from blade_mall_withdrawal_record where is_deleted = 0
    </select>

</mapper>
